#include <BarnesHutTree.hpp>
#include <MpiSimulation.hpp>
#include <iostream>
#include <mpi.h>

using namespace nbody;
using namespace std;

int main(int argc, char* argv[]) {
	MPI_Init(&argc, &argv);
	MpiSimulation simulation(argc, argv);

	simulation.distributeBodies();
	for (int i = 0; i < 6; i++) {
		simulation.runStep();
	}
	simulation.cleanup();
	MPI_Finalize();
	return 0;
}
